Bug 989004 - several controllers are missing decorators
several controllers are missing decorators
Status: CLOSED CURRENTRELEASE
Product: Pulp
Classification: Community
Component: API/integration (Show other bugs)
2.2
Unspecified Unspecified
unspecified Severity unspecified
: ---
: 2.4.0
Assigned To: nobody nobody
Preethi Thomas
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-26 17:42 EDT by Jeremy Cline
Modified: 2014-08-09 02:55 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-08-09 02:55:34 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Comment 5 Randy Barlow 2014-03-18 12:04:41 EDT
This was fixed in a prior release of Pulp, but we never put it through the QE process. Moving to ON_QA.
Comment 6 Preethi Thomas 2014-06-03 16:27:44 EDT
verified
[root@ibm-x3550m3-08 ~]# rpm -qa pulp-server
pulp-server-2.4.0-0.19.beta.el6.noarch
[root@ibm-x3550m3-08 ~]# 


[root@ibm-x3550m3-08 ~]# curl -d '{}' https://localhost/pulp/api/v2/repositories/zoo/actions/resolve_dependencies/ -k
{"http_request_method": "POST", "exception": null, "error_message": "Pulp exception occurred: AuthenticationFailed", "_href": "/pulp/api/v2/repositories/zoo/actions/resolve_dependencies/", "http_status": 401, "error": {"code": "PLP0000", "data": {}, "description": "Pulp exception occurred: AuthenticationFailed", "sub_errors": []}, "traceback": null, "auth_error_code": "invalid_ssl_certificate"}[root@ibm-x3550m3-08 ~]# 
[root@ibm-x3550m3-08 ~]# 
[root@ibm-x3550m3-08 ~]# curl https://localhost/pulp/api/v2/consumer_groups/test-group/bindings/ -k
{"http_request_method": "GET", "exception": null, "error_message": "Pulp exception occurred: AuthenticationFailed", "_href": "/pulp/api/v2/consumer_groups/test-group/bindings/", "http_status": 401, "error": {"code": "PLP0000", "data": {}, "description": "Pulp exception occurred: AuthenticationFailed", "sub_errors": []}, "traceback": null, "auth_error_code": "invalid_ssl_certificate"}[root@ibm-x3550m3-08 ~]# 
[root@ibm-x3550m3-08 ~]# 
[root@ibm-x3550m3-08 ~]# curl https://localhost/pulp/api/v2/repo_groups/search/ -k
{"http_request_method": "GET", "exception": null, "error_message": "Pulp exception occurred: AuthenticationFailed", "_href": "/pulp/api/v2/repo_groups/search/", "http_status": 401, "error": {"code": "PLP0000", "data": {}, "description": "Pulp exception occurred: AuthenticationFailed", "sub_errors": []}, "traceback": null, "auth_error_code": "invalid_ssl_certificate"}[root@ibm-x3550m3-08 ~]# 
[root@ibm-x3550m3-08 ~]# 
[root@ibm-x3550m3-08 ~]# curl -d '{}' https://localhost/pulp/api/v2/repo_groups/search/ -k
{"http_request_method": "POST", "exception": null, "error_message": "Pulp exception occurred: AuthenticationFailed", "_href": "/pulp/api/v2/repo_groups/search/", "http_status": 401, "error": {"code": "PLP0000", "data": {}, "description": "Pulp exception occurred: AuthenticationFailed", "sub_errors": []}, "traceback": null, "auth_error_code": "invalid_ssl_certificate"}[root@ibm-x3550m3-08 ~]# 
[root@ibm-x3550m3-08 ~]# 
[root@ibm-x3550m3-08 ~]# 
[root@ibm-x3550m3-08 ~]# curl -d '{}' https://localhost/pulp/api/v2/repo_groups/test-id/actions/publish/ -k
{"http_request_method": "POST", "exception": null, "error_message": "Pulp exception occurred: AuthenticationFailed", "_href": "/pulp/api/v2/repo_groups/test-id/actions/publish/", "http_status": 401, "error": {"code": "PLP0000", "data": {}, "description": "Pulp exception occurred: AuthenticationFailed", "sub_errors": []}, "traceback": null, "auth_error_code": "invalid_ssl_certificate"}[root@ibm-x3550m3-08 ~]# 
[root@ibm-x3550m3-08 ~]# curl https://localhost/pulp/api/v2/users/search/ -k
{"http_request_method": "GET", "exception": null, "error_message": "Pulp exception occurred: AuthenticationFailed", "_href": "/pulp/api/v2/users/search/", "http_status": 401, "error": {"code": "PLP0000", "data": {}, "description": "Pulp exception occurred: AuthenticationFailed", "sub_errors": []}, "traceback": null, "auth_error_code": "invalid_ssl_certificate"}[root@ibm-x3550m3-08 ~]#
Comment 7 Randy Barlow 2014-08-09 02:55:34 EDT
This has been fixed in Pulp 2.4.0-1.

Note You need to log in before you can comment on or make changes to this bug.